#
# spec file for package python3-pyasn
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-pyasn
Version:        1.5.0b7
Release:        1.6
License:        MIT
Summary:        Offline IP address to Autonomous System Number lookup module
Url:            https://github.com/hadiasghari/pyasn
Group:          Development/Languages/Python
Source:         https://github.com/hadiasghari/pyasn/archive/%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-coverage
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pyasn is a Python extension module that enables very fast IP address to Autonomous System Number lookups. 
Current state and Historical lookups can be done, based on the BGP / MRT file used as input.

pyasn is different from other ASN lookup tools in that it providers offline and historical lookups. 
It provides utility scripts for users to build their own lookup databases based on any BGP/MRT dump file. 
This makes pyasn much faster than online dig/whois/json lookups.

The module is written in C and Python, and cross-compiles on Linux and Windows. Underneath, it uses a radix tree 
data structure for storage of IP addresses. In the current version, it borrows code from py-radix to support 
both IPv4 and IPv6 network prefixes. The current release is a beta. Compared to the previous version, 
adds new functionality, performance improvements, and unit-tests. 

%prep
%setup -q -n pyasn-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{python3_sitearch}/*
%{_bindir}/*
%changelog
* Sat Jul 30 2016 sebix+novell.com@sebix.at
- Initial package
- Upstream changelog ot 1.5.0b7:
  1. IPv6 support added and tested - issue #14.
    (Changes in radix.c, mrtx.py, __init__.py, test cases, and addition of ipasn6/rib6)
  2. Bugs #12 and #13 fixed.
    (Changes in __init__.py, mrtx.py)
  3. Bumped up version to 1.5b7 and updated README/TODO
